python-docutils (0.22.3+dfsg-1build1) resolute; urgency=medium

  * Rebuild to clear amd64v3 from FTBFS report

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Dec 2025 07:51:05 -0500

python-docutils (0.22.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop fix-unknown-target.diff, included in the new release.
  * Refresh no-local-roman-numerals.diff.
  * Drop obsolete Breaks.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 06 Nov 2025 15:24:55 +0300

python-docutils (0.22.2+dfsg-2) unstable; urgency=medium

  * Replace fix-unknown-target.diff with version that was applied upstream.
  * Drop ‘Rules-Requires-Root: no’, it became default in dpkg 1.22.13.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 12 Oct 2025 13:00:50 +0300

python-docutils (0.22.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh and rebase patches for the new release.
  * Merge Build-Depends-Indep list into Build-Depends, to fix CI.
  * Add a patch to fix unknown target name warning in the docs.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 27 Sep 2025 18:16:09 +0300

python-docutils (0.22+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop fix-license-issue.diff, included in the new release.
  * Refresh and rebase other patches.
  * Bump required flit version to 3.11, following pyproject.toml.
  * Replace python3-roman dependency with python3-roman-numerals.
  * Stop installing rst2odt_prepstyles tool (replaced by a module).
  * Update packaging for *.txt → *.rst renaming in the docs.
  * Update debian/copyright.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 17 Aug 2025 22:27:12 +0300

python-docutils (0.21.2+dfsg-2) unstable; urgency=medium

  * Break python3-sphinx older than 7.3.0.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 28 Jul 2024 16:10:48 +0300

python-docutils (0.21.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - manpage-literal-blocks.diff
    - tbl-preprocessor.diff
  * Simplify doc-debian-paths.diff.
    - Upstream removed .py suffix from all tools except for buildhtml.py.
  * Refresh other patches.
  * Build with flit instead of setuptools.
  * Update code to install the command line tools.
  * Replace *.egg-info with *.dist-info in python3-docutils.install.
  * Override source-is-missing for a few more generated HTML files.
  * Update debian/copyright.
  * Build-depend on python3-pygments, needed for the documentation.
  * Remove build path from system messages in demo.html.
  * Backport upstream patch to remove erroneous mention of GPL license.
  * Add a patch to make the test output verbose again.
  * Build docutils docs with HTML5 writer.
  * Make debian/watch consider version 0.21.post1 lower than 0.21.2.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 28 Apr 2024 20:37:52 +0300

python-docutils (0.20.1+dfsg-3) unstable; urgency=medium

  * Backport upstream changes to enable tbl preprocessor (closes: #1053355).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 30 Nov 2023 14:16:27 +0300

python-docutils (0.20.1+dfsg-2) unstable; urgency=medium

  * Merge 0.19+dfsg-8 upload from unstable.
  * Refresh debian/patches/manpage-literal-blocks.diff.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 14 Nov 2023 13:45:51 +0300

python-docutils (0.20.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches which are included in the new release:
    - rst2odt_prepstyles-elementtree.diff
    - no-empty-manual.diff
  * Refresh and rebase other patches.
  * Amend static-help-message.diff to fix newly added tests.
  * Override false-positive privacy-breach-generic Lintian warning
    in docutils-doc.
  * Add a patch to support SOURCE_DATE_EPOCH (closes: #831779).
    - Unset SOURCE_DATE_EPOCH when running tests, to make them pass.
  * Bump python3-sphinx Breaks to 7.0.1.
  * Remove ancient debian/NEWS to fix Lintian warning (see #1021502).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 20 May 2023 20:39:31 +0300

python-docutils (0.19+dfsg-8) unstable; urgency=medium

  * Backport upstream patch to fix previous_sibling() method.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 29 Oct 2023 21:38:21 +0300

python-docutils (0.19+dfsg-7) unstable; urgency=medium

  [ Julian Gilbey ]
  * Slightly cleaner version of patch in -6.

  [ Dmitry Shachnev ]
  * Add a patch to use .EE and .EX macros for literal blocks in the
    manpage writer, to fix warnings from groff 1.23 (closes: #1041809,
    thanks G. Branden Robinson).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 02 Aug 2023 23:48:48 +0300

python-docutils (0.19+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Fix my error in -5, which gave the wrong paths in the manpages.

 -- Julian Gilbey <jdg@debian.org>  Sun, 22 Jan 2023 14:52:02 +0000

python-docutils (0.19+dfsg-5) unstable; urgency=medium

  * Team upload.
  * A cleaner fix for the bug fixed in -4

 -- Julian Gilbey <jdg@debian.org>  Sun, 22 Jan 2023 14:15:32 +0000

python-docutils (0.19+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Do not try to use debian/tmp docutils.sty if it doesn't exist.
    Fixes a build failure in celery's use of sphinx/docutils.

 -- Paul Wise <pabs@debian.org>  Sun, 22 Jan 2023 11:29:26 +0800

python-docutils (0.19+dfsg-3) unstable; urgency=medium

  * Ignore DeprecationWarnings when running test_buildhtml.py
    (closes: #1028478).
  * Abort the build when getting --help of some command fails.
  * Add a patch to fix FileNotFoundError when generating manpages.
  * Break python3-m2r < 0.3 (see #1026288).
  * Break ruby-github-markup < 1.7.0+dfsg-5 (see #1013383).
  * Backport upstream patch to not pass empty "manual" argument to the .TH
    macro (closes: #1018737).
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 21 Jan 2023 20:08:40 +0400

python-docutils (0.19+dfsg-2) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends-Indep: Drop versioned constraint on dh-python and
      python3-all.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 03:48:54 +0100

python-docutils (0.19+dfsg-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Drop docutils.xml: it provides only the text/x-rst MIME, which
    shared-mime-info provides since version 1.11.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Rebase patches for the new release.
  * Add manpage for docutils(1).
  * Update Lintian overrides for pointed hints from Lintian 2.115.
  * Override false-positive source-is-missing Lintian errors.
  * Update debian/copyright.
  * Bump Standards-Version to 4.6.1, no changes needed.
  * Install math.css in docutils-doc.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 08 Jul 2022 23:55:40 +0300

python-docutils (0.18.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches for the new release.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 05 Dec 2021 15:31:44 +0300

python-docutils (0.18+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop iepngfix-license.diff, iepngfix was removed in this release.
  * Refresh and rebase other patches.
  * Update debian/copyright.
  * Simplify rst2odt_prepstyles-elementtree.diff to always use ElementTree.
    It is available in Python ≥ 2.5.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 31 Oct 2021 13:18:08 +0300

python-docutils (0.17.1+dfsg-2) unstable; urgency=medium

  * debian/rules: Minor cleanups.
  * Build the documentation with LC_ALL=C.UTF-8, to fix reprotest.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Break Sphinx < 4.0.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 14 Oct 2021 15:49:42 +0300

python-docutils (0.17.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop test-local-stylesheet.diff, applied upstream.
  * Refresh and rebase other patches.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Apr 2021 20:58:58 +0300

python-docutils (0.17+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Fixes missing new line after rubric in manpage (closes: #964152).
  * Drop test_buildhtml-interpreter.diff, applied upstream.
  * Refresh and rebase other patches.
  * Stop symlinking changelog to HISTORY.txt, to fix Lintian error.
  * Add a patch to use local copy of stylesheets in embed_images_html5.py,
    to make the autopkgtest pass.
  * Update debian/copyright.
  * Stop using alternatives system, install scripts directly to /usr/bin.
  * Update to debhelper compat level 13.
  * Declare Rules-Requires-Root: no.
  * Update debian/docutils-common.lintian-overrides to cover more warnings.
  * Update debian/watch to version 4.
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 05 Apr 2021 20:30:05 +0300

python-docutils (0.16+dfsg-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Fix day-of-week for changelog entries 0.2.8+cvs20030324-6,
    0.2.8+cvs20030324-5, 0.2.8+cvs20030324-4, 0.2.8+cvs20030324-3,
    0.2.8+cvs20030324-2, 0.2.8+cvs20030324-1.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Andreas Beckmann ]
  * python3-docutils: Add explicit Breaks: python-docutils for smoother
    upgrades from buster.  (Closes: #986871)

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Apr 2021 15:28:40 +0300

python-docutils (0.16+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #937715

 -- Sandro Tosi <morph@debian.org>  Fri, 17 Jul 2020 14:42:08 -0400

python-docutils (0.16+dfsg-2) unstable; urgency=medium

  * Make the autopkgtest depend on python3-all, and use py3versions -s
    instead of -i.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 20 Mar 2020 14:35:31 +0300

python-docutils (0.16+dfsg-1) unstable; urgency=medium

  * Update to 0.16 final release.
  * Drop explicit B-D on python3-distutils, setuptools depends on it.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 17 Jan 2020 10:47:56 +0300

python-docutils (0.16~rc1+dfsg-1) unstable; urgency=medium

  * New upstream release candidate.
    - Fixes bold commas after option arguments in manpages (closes: #806601).
  * Remove /etc/emacs/site-start.d/50python-docutils.el conffile on upgrade
    (closes: #948551).
  * Drop patches:
    - no-test-skipping.diff (no longer needed)
    - parallel-2to3.diff (no longer needed)
    - test-sys-path.diff (not needed since switch to pybuild)
    - restore-default-role.diff (no longer needed even with 0.15)
    - no-resource-warning.diff (applied upstream)
    - python3.8.diff (included in the new version)
  * Refresh and rebase other patches.
  * Unify test command for Python 2 and Python 3.
  * Update the python3-docutils autopkgtest to no longer use 2to3.
  * Use Python 3 instead of Python 2 to build the documentation.
  * Drop preinst scripts, they were needed for upgrades from ancient versions.
  * Make Python 3 scripts have higher priority than Python 2 ones.
  * Make test_buildhtml.py work without /usr/bin/python.
  * Update Homepage URL.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 12 Jan 2020 11:22:54 +0300

python-docutils (0.15.2+dfsg-2) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Drop installation of the bundled copy of
    rst-mode.  Emacs has provided a more up-to-date copy since v24.3
    (http://docutils.sourceforge.net/docs/user/emacs.html#installation).
  * Drop debian/50python-docutils.el, and drop its installation.
  * Drop debian/patch/emacs-sensible-browser.diff.  I have forwarded this
    patch to Bug #941816 against Emacs.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Dmitry Shachnev ]
  * Fix tests failures with Python 3.8.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 07 Jan 2020 21:56:11 +0300

python-docutils (0.15.2+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Drop fix-spelling-errors.diff, applied upstream.
  * Refresh other patches.
  * GitLab CI: Stop using the removed .build-unstable target.
  * Add a patch to fix InputTests.test_deprecation_warning failure.
  * Use dh sequencer and the pybuild buildsystem.
  * Update debian/watch to track PyPI instead of SourceForge.
  * Add docutils.egg-info/ to debian/clean.
  * Build-depend on setuptools, which is now used by setup.py.
  * Bump debhelper compat level to 12.
  * Remove manpage source files when they are no longer needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 15 Aug 2019 18:09:51 +0300

python-docutils (0.14+dfsg-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python-Version field
  * d/watch: Use https protocol

  [ You-Sheng Yang ]
  * Fix spelling mistakes (fix-spelling-errors.diff).
  * Override some lintian warnings.
  * Enable CI.

  [ Dmitry Shachnev ]
  * Tell dh_installchangelogs to ignore HISTORY.txt.
  * Make docutils-common depend on sensible-utils (for sensible-browser).
  * Add restore-default-role.diff to make the docs build reproducible.
  * Bump Standards-Version to 4.3.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Feb 2019 21:14:53 +0300

python-docutils (0.14+dfsg-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Mark all binary packages Multi-Arch: foreign. (Closes: #888142)

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Dmitry Shachnev ]
  * Make the python3-docutils autopkgtest depend on and use 2to3 package
    (closes: #890315).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Feb 2018 17:13:09 +0300

python-docutils (0.14+dfsg-2) unstable; urgency=medium

  * Add python3-lib2to3 to dependencies of python3-docutils autopkgtest.
  * Add an explicit build-dependency on python3-distutils.
  * Bump Standards-Version to 4.1.3, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 05 Jan 2018 23:00:57 +0300

python-docutils (0.14+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to properly mangle upstream pre-releases.
  * Drop get_column_widths-compatibility.diff, applied upstream.
  * Refresh and rebase other patches.
  * Stop symlinking rst2html4 → rst2html, use upstream script instead.
  * Make sure that data paths in generated man pages are correct.
  * Update debian/copyright.
  * Drop ancient Breaks, Replaces and Conflicts.
  * Bump Standards-Version to 4.1.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 19 Sep 2017 23:59:05 +0300

python-docutils (0.13.1+dfsg-2) unstable; urgency=medium

  * Backport upstream change to make the return type of get_column_widths
    method of Table directive compatible with docutils 0.12 behavior
    (get_column_widths-compatibility.diff; closes: #851739).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 19 Jan 2017 12:46:21 +0300

python-docutils (0.13.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Escaping inside embedded URIs now works (closes: #795998).
  * Drop patches:
    - python3-pil-no-bytestrings.diff: no longer needed;
    - odt-writer-ascii-filenames.diff: partially applied upstream,
      the other part has been rejected upstream;
    - update-rstel.diff: this was a backport of upstream changes.
  * Update patches:
    - doc-debian-paths.diff: update for new tools added in 0.13;
    - move-data-to-usr-share.diff: rewrite to match new upstream code.
  * Update debian/watch to point to SourceForge (for the latest release
    upstream uploaded only wheels to PyPI).
  * Run cp with -L argument when copying the test/ directory for running
    the autopkgtest, because CSS files in test/functional/input/data/ are
    now symlinks.
  * Install rst2html4 as a symlink to rst2html, to match the documentation.
    This is a stop-gap measure until the new upstream release.
  * Minor debian/copyright update for upstream file move.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 11 Dec 2016 21:02:47 +0300

python-docutils (0.12+dfsg-2) unstable; urgency=medium

  [ SVN-Git Migration ]
  * Migrate from Subversion to Git, use git-dpm for patches.

  [ Dmitry Shachnev ]
  * Do not mention build-time locale in rst2html manpage
    (static-help-message.diff; closes: #791587).
  * Update my e-mail address.
  * Remove XS-Testsuite header, it became obsolete since dpkg 1.17.11.
  * Use new repacksuffix option in debian/watch.
  * Update rst.el to the latest upstream version, 1.5.0 (closes: #840658).
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Bump debhelper compatibility level to 9.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 31 Oct 2016 18:20:37 +0300

python-docutils (0.12+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop python3.3-odt-writer.diff, applied upstream.
  * Drop test_nodes-2to3.diff, applied upstream.
  * Update debian/watch to watch PyPI, which is more reliable
    than sf.php.
  * Add explicit build-dependency on dh-python.
  * Convert debian/changelog to copyright format 1.0.
  * Exclude non-free biohazard.swf file from the tarball.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sat, 26 Jul 2014 13:59:54 +0400

python-docutils (0.11-3) unstable; urgency=low

  [ Jakub Wilk ]
  * Remove myself from Uploaders.

  [ Dmitry Shachnev ]
  * Fix package names in Recommends: python(3)-imaging → python(3)-pil.

  [ Michael Schutte ]
  * New patch test_nodes-2to3.diff: Do not rely on a bug in 2to3 string
    literal conversion in test_nodes.ElementTests.test_empty, closes: #732679.
    Thanks to Martin Pitt and Jakub Wilk for investigating.
  * Increase Standards-Version to 3.9.5; no changes required.

 -- Michael Schutte <michi@debian.org>  Sat, 21 Dec 2013 18:19:15 +0100

python-docutils (0.11-2) unstable; urgency=low

  [ Michael Schutte ]
  * Upload to unstable.
  * Document in the patch header that #714313 is also taken care of by
    odt-writer-ascii-filenames.diff.

  [ Dmitry Shachnev ]
  * Updated rst2odt_prepstyles-elementtree.diff to make it not cause
    SyntaxErrors with Python 3.
  * Fix autopkgtest failures:
    - Copy HISTORY.txt to the testing directory.
    - Disable test_html4css1_misc as it does not work with our location
      of html4css1.css.
  * docutils.xml: fix codes of Chinese languages (thanks Jakub Wilk),
    and add Hungarian language.

 -- Michael Schutte <michi@debian.org>  Mon, 09 Sep 2013 22:58:50 +0200

python-docutils (0.11-1) experimental; urgency=low

  [ Jakub Wilk ]
  * Remove martin f. krafft and Ben Finney from Uploaders at their requests.

  [ Michael Schutte ]
  * New upstream release 0.11, closes: #712284, #714880.
    - Drop patch math-output-html.diff: Fixed upstream.
    - Drop patch fix-buildhtml-progress.diff: Applied upstream.
    - Drop patch strict-csv-parser.diff: Fixed upstream.
    - Drop patch unknown-url-exc-use-repr.diff: Applied upstream.
    - Update patch move-data-to-usr-share.diff: Default stylesheet paths for
      writers/html4css1 have changed.
    - Refresh the remaining patches.
    - New patch no-local-roman.diff: Use the roman module from python-roman
      instead of the copy shipped with docutils.
    - Update information about upstream version control in debian/copyright.
  * Change my e-mail host in Uploaders and debian/copyright to @debian.org.
  * New patch rst2odt_prepstyles-elementtree.diff: Port the rst2odt_prepstyles
    utility to ElementTree.  Drop Recommends: python-lxml.  Closes: #714319.
  * New patch odt-writer-ascii-filenames.diff: Only use ASCII for filenames of
    images embedded in ODT files, closes: #714317.

  [ Dmitry Shachnev ]
  * Use dh_python2 instead of deprecated dh_pysupport.
  * Add XS-Testsuite header, and replace XS-Python-Version with preferred
    X-Python-Version (closes: #685509).
  * Add myself to Uploaders.

 -- Michael Schutte <michi@debian.org>  Mon, 05 Aug 2013 16:47:43 +0200

python-docutils (0.10-3) unstable; urgency=low

  [ Dmitry Shachnev ]
  * Rename debian/x-rst.xml to debian/docutils.xml.

  [ Jakub Wilk ]
  * Add patch (strict-csv-parser.diff) to make the CSV parser stricter
    (closes: #692286).
  * Add patch (python3-pil-no-bytestrings.diff) not to pass byte strings to
    PIL.Image.open() when running under Python 3.X (closes: #708159).
  * Add patch (python3.3-odt-writer.diff) to port the ODT writer to Python 3.3
    ElementTree API (closes: #692285).
  * Add patch (unknown-url-exc-use-repr.diff) to make the test suite expect
    that urllib.requests in Python ≥ 3.3.2 use repr() when reporting unknown
    URLs (closes: #708565).
  * Add Forwarded and Last-Update fields to all patch headers that were
    missing them.
  * Refresh patches.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 16 May 2013 23:43:41 +0200

python-docutils (0.10-2) unstable; urgency=low

  * Upload to unstable.

  [ Dmitry Shachnev ]
  * debian/x-rst.xml: add mime file (for text/x-rst).

  [ Jakub Wilk ]
  * Update bug URLs in patch headers.
  * Use canonical URIs for Vcs-* fields.
  * Add patch (math-output-html.diff) to change default math output format to
    HTML (closes: #677929). This is divergence from upstream behavior, but
    it is planned that upstream Docutils 0.11 will switch to HTML, too.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 13 May 2013 19:29:25 +0200

python-docutils (0.10-1) experimental; urgency=low

  * New upstream release.
    + Drop deterministic-setotherlanguages.diff, applied upstream.
    + Drop python3.3-import-compat.diff, applied upstream.
    + Refresh other patches.
    + Update debian/copyright.
    + Bump minimum required Python version to 2.4.
    + Add Breaks for python(3)-sphinx (<< 1.1.3+dfsg-7), as previous versions
      of Sphinx were incompatible with Docutils 0.10.
    + Fix opening binary files under Python 3.X (closes: #697018).
  * DEP-8 tests: remove “Features: no-build-needed”; it's the default now.
  * Bump standards version to 3.9.4; no changes needed.
  * Run rst-buildhtml tests at build time.
  * Ensure that rst-buildhtml progress messages end with newlines.
    (fix-buildhtml-progress.diff)

 -- Jakub Wilk <jwilk@debian.org>  Sun, 30 Dec 2012 23:34:32 +0100

python-docutils (0.9.1-2) experimental; urgency=low

  * Install all DTD files (really closes: #531170).
  * Fix DEP-8 tests:
    + Drop dep8.diff; it's no longer needed (closes: #692127). Thanks to
      Dmitry Shachnev for the bug report.
    + Adapt Python 3 tests to the new way 2->3 conversion is being done on
      upstream tests.
  * Partially fix FTBFS with Python 3.3 (closes: #681723):
    + Use relative __import__ (python3.3-import-compat.diff).
    + Make order of languages in \setotherlanguages deterministic
      (deterministic-setotherlanguages.diff).
  * Set PYTHONWARNINGS=d in debian/rules.
  * Set PYTHONHASHSEED=random in debian/rules and in DEP-8 tests.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 04 Nov 2012 17:22:24 +0100

python-docutils (0.9.1-1) experimental; urgency=low

  * New upstream release.
    + Fix self-modifying code in rst.el (closes: #657269). Thanks to Samuel
      Bronson for the bug report and the patch.
    + Drop parsers.rst.directives.misc-encoding.diff: applied upstream.
    + Refresh other patches.
    + Add patch to fix sys.path for tests (test-sys-path.diff).
    + Update debian/rules.
  * Rebuild against debhelper (>= 9.20120528) to fix postinst that
    unconditionally overwrites files in /etc (see: #477751, closes: #675489).
    Thanks to Helmut Grohne for the bug report.
  * DEP-8 tests: use $ADTTMP.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 30 Jun 2012 14:15:26 +0200

python-docutils (0.9-1) experimental; urgency=low

  * New upstream release.
    + Drop 13_install_roman.diff and stop building python(3)-roman binary
      packages.
    + Drop 15_emacs_debian_paths.diff: different fix applied upstream.
    + Drop readme-version.diff: no longer relevant.
    + Drop languages-get_language-2nd-arg-optional.diff: applied upstream.
    + Drop add-missing-import.diff: applied upstream.
    + Drop fix-error-reporting-encoding-issues.diff: applied upstream.
    + Drop fix-io-encoding-issues.diff: applied upstream.
    + Drop fix-docutilsxmltestcase.diff: applied upstream.
    + Refresh other patches.
  * Drop fix-docutilsxmltestcase-debian.diff; it was only needed to
    work around a bug in Debian Python interpreter packages, which has been
    fixed.
  * Update move-data-to-usr-share.diff to cover the test/ directory, too.
  * Add DEP-8 tests.
  * Fix (Python 2 version of) rst-buildhtml shebang to #!/usr/bin/python.
  * Rename 10_doc_debian_paths.diff to doc-debian-paths.diff; update the patch
    header.
  * Stop building python(3)-roman. They are now packaged separately.
    + Update debian/control.
    + Drop debian/*-roman.* (debhelper config files).
    + Remove references to the ‘extras’ directory and to *-roman package names
      from debian/rules.
  * Remove convenience copy of the roman module. Build-Depend on python-roman
    and python3-roman.
  * Cherry-pick upstream patch to fix encoding issues with the include
    directive. (parsers.rst.directives.misc-encoding.diff)
  * Run Python 2.X tests before building Python 3.X code. Previously time
    required to build Python 3.X code were wasted if Python 2.X tests failed.
  * Run 2to3 in parallel (parallel-2to3.diff). Thanks to Julian Taylor for the
    hint.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 13 May 2012 01:17:10 +0200

python-docutils (0.8.1-6) unstable; urgency=low

  * Fix a typo in a patch description.
  * Bump standards version to 3.9.3 (no changes needed).
  * Don't mention “Dive Into Python” in python*-roman package descriptions
    (closes: #661555). Thanks to Konrad Schöbel for the bug report.
  * Remove references to http://diveintopython.org/ from debian/copyright.
  * Do not skip tests because of failed imports, as they should never happen.
    (no-test-skipping.diff)
  * Check only *.py files when looking for unguarded use of __file__.
  * Fix paths in the auto-generated manual pages.
  * Split section “Usage” into “Synopsis” and “Description” in the manual
    pages.
  * Fool DocutilsXMLTestCase into thinking that Python version is 2.7.3/3.2.3
    when it's in fact 2.7.2/3.2.2 with patched
    xml.dom.minidom.Document.toprettyxml() method (closes: #645369).
    (fix-docutilsxmltestcase.diff).

 -- Jakub Wilk <jwilk@debian.org>  Sat, 03 Mar 2012 01:40:35 +0100

python-docutils (0.8.1-5) unstable; urgency=low

  [ Simon McVittie ]
  * Remove myself from Uploaders

  [ Jakub Wilk ]
  * Backport upstream patch to follow the changes in the
    xml.dom.minidom.Document.toprettyxml method
    (fix-docutilsxmltestcase.diff).
  * Drop postinst snippet to deal with a python-support bug (it cannot replace
    directory with a regular file). It was needed only for 0.7 upgrades.
  * Suggest fonts-linuxlibertine as an alternative to ttf-linux-libertine.
  * Update David Goodger's e-mail address in debian/copyright
    (closes: #653769). Thanks to Jari Aalto for the bug report.
  * Update Subversion repository URLs in patch headers (so that they point to
    SourceForge rather than BerliOS).
  * Use xargs to iterate over all Python versions.
  * Convert rst2odt_prepstyles manpage source from DocBook to
    reStructuredText.
    + Remove docbook-to-man from Build-Depends-Indep.
    + Update debian/rules.
  * Don't run dh_testroot in the clean target. There's a good chance that root
    privileges are not needed (e.g. because binary target was run under
    fakeroot), and even if they are actually needed, the target will fail
    quickly.
  * Drop obsolete virtual package: docutils-writer-manpage (closes: #631066).
  * Run tests with --verbose.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 15 Feb 2012 19:21:26 +0100

python-docutils (0.8.1-4) unstable; urgency=low

  * When running the test suite, don't copy stdout and stderr output to a log
    file, as this would break under LC_ALL=C, PYTHONWARNINGS=d and python3.X
    (testall-no-stdout-stderr-redirect.diff).
  * Use build/py2 and build/py3 for build directories.
  * Remove excessive whitespace from debian/control.
  * Drop unused virtual package: rst2man.
  * Install Python 3 version of rst-buildhtml.
  * Fix a typo in rst2xetex manual page. Thanks to Günter Milde for the bug
    report.
  * Drop unused header file for rst2newlatex manual page.
  * Backport upstream patch to add missing import (add-missing-import.diff).
  * Backport upstream patches to fix encoding issues with Python 3
    (fix-*-encoding-issues.diff).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 23 Oct 2011 22:59:02 +0200

python-docutils (0.8.1-3) unstable; urgency=low

  * Remove needless comments from debian/rules.
  * Restore historical behavior of languages.get_language() taking only a
    single argument (languages-get_language-2nd-arg-optional.diff,
    closes: #641562). Thanks to Sergio Talens-Oliag for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 16 Sep 2011 20:53:45 +0200

python-docutils (0.8.1-2) unstable; urgency=low

  * Upload to unstable.
  * Improve the -doc package:
    + Install CSS files. Correct paths to them in the *.html files.
    + Don't compress *.txt files in the -doc package. Update debian/*.doc-base
      accordingly and add lintian override for changelog-file-not-compressed.
    + Don't embed images on remote servers.
  * Simplify debian/rules.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 12 Sep 2011 00:34:28 +0200

python-docutils (0.8.1-1) experimental; urgency=low

  * New upstream release.
    + Drop test-error-reporting.diff and test-functional.diff (both applied
      upstream)
  * Update copyright file.
  * Correct version number in README.txt (readme-version.diff).

 -- Jakub Wilk <jwilk@debian.org>  Sat, 03 Sep 2011 01:32:29 +0200

python-docutils (0.8-1) experimental; urgency=low

  * New upstream release.
    + Drop the following patches:
      - 16_disable_picins.diff (newlatex2e writer dropped);
      - buildhtml-local.diff (applied upstream);
      - emacs-shell-quote.diff (applied upstream);
      - emacs-temporary-files.diff (different fix applied upstream);
      - python3.2-configparser.diff (applied upstream);
      - python3.2-elementtree.diff (applied upstream);
    + Refresh other patches.
  * Update copyright file.
  * Use wildcards in debian/*.manpages.
  * Drop the docutils.readers.python reader.
  * Drop the rst2newlatex script.
    + Remove alternatives in preinst.
  * Add reStructured Text to XeLaTeX converter: rst2xetex.
    + Add ttf-linux-libertine to python(3)-docutils Suggests.
  * Install XML/SGML catalogs (closes: #531170).
    + Add xml-core to Build-Depends-Indep.
  * Emacs major mode: use ‘sensible-browser’ to preview S5 slides
    (emacs-sensible-browser.diff).
  * Fix exceptions in the test suite (test-error-reporting.diff,
    test-functional.diff).
  * Drop 12_more_usrbinenv.diff; the patched file wasn't being used anyway.
  * Move python(3)-all from Build-Depends to Build-Depends-Indep, as they are
    not needed in the clean target.
  * Run the test suite before building documentation.
  * Use ‘set -x’ for all the for loops in debian/rules.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 22 Aug 2011 18:50:14 +0200

python-docutils (0.7-4) unstable; urgency=low

  * Upload to unstable.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 07 Aug 2011 23:24:56 +0200

python-docutils (0.7-3) experimental; urgency=low

  * Drop 14_distutils_setup.diff and build-dependency on python-setuptools, no
    longer needed.
    + Add postinst snippet do deal with a python-support bug (it cannot
      replace directory with a regular file).
  * Bump standards version to 3.9.2, no changes needed.
  * Strip debian/tmp prefix from debian/*.install files; in compat
    dh_install will fall back to looking into debian/tmp anyway.
  * Drop preinst scripts to remove python-central leftovers; not needed
    anymore.
  * Fix patch headers to be in line with DEP-3.
  * Remove files created by the test suite in the clean target.
  * Drop obsolete recommendation of python-elementtree.
  * Drop obsolete conflict with zope3.
  * Drop obsolete conflicts with docutils-writer-manpage and rst2man.
  * Drop unused virtual packages: python-odtwriter, rst2odt,
    docutils-writer-odt.
  * Move all data files to /usr/share/docutils/.
    + Add patch not to use __file__ directly.
    + In debian/rules, check if all uses of __file__ are guarded by our
      wrapper function, i.e. the patch is still up-to-date.
  * New binary package: docutils-common, containing data files, configuration
    files and manual pages.
  * New binary package: docutils-doc, containing documentation.
    + Conflict with previous versions python-docutils
    + /usr/share/doc/python-docutils/docs used to be a directory, but is now a
      symlink. Conflict with older versions of python-docutils, so that dpkg
      can replace one with the other. Add lintian override.
  * New binary package: python3-docutils (closes: #577725).
    + Build-depend on python3-all.
    + Add two patches to fix incompatibilities with Python 3.2
      (python3.2-configparser.diff, python3.2-elementtree.diff).
    + Both python-docutils and python3-docutils provides rst* scripts, managed
      by alternatives.
    + Conflict with other packages shipping /usr/bin/rst2* binaries, so that
      alternatives can be correctly installed. Add lintian override for
      conflicts-with-version.
    + This package does not include the docutils.readers.python, which is no
      longer maintained and does not work with Python 3.
  * New virtual package: docutils, provided by both python-docutils and
    python3-docutils.
  * New binary package: python3-roman.
  * Reword package descriptions of all packages. Thanks to Stefano Rivera for
    proof-reading.
  * Simplify debian/rules.
  * Merge both debian/*.copyright into a single debian/copryight (as per
    Policy 4.5). Update it.
  * Add build-arch and build-indep target to debian/rules.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 28 Jun 2011 20:43:04 +0200

python-docutils (0.7-2) unstable; urgency=low

  * Upload to unstable.
  * Replace patch to fix --local option for tools/buildhtml.py
    (17_revert_buildhtml.diff) with the one that was applied upstream
    (buildhtml-local.diff).

 -- Jakub Wilk <jwilk@debian.org>  Sat, 24 Jul 2010 09:03:32 +0200

python-docutils (0.7-1) experimental; urgency=low

  * New upstream release.
    + Drop decode-path-none.diff, alltest-exitcode.diff, applied upstream.
    + Refresh other patches.
  * Bump standards version to 3.9.0, no changes needed.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 09 Jul 2010 14:47:42 +0200

python-docutils (0.6-5) unstable; urgency=low

  * Correct the preinst script to remove python-central leftovers even when
    upgrading from a version that uses python-support (closes: #586683).
    Thanks to Julian Andres Klode for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 23 Jun 2010 15:21:09 +0200

python-docutils (0.6-4) unstable; urgency=low

  * Bump standards version to 3.8.4 (no changes needed).
  * Bump debhelper compatibility level to 7 (no changes needed). Update
    versioned build-dependency on debhelper accordingly.
  * Use unversioned build-dependency on python-setuptools, as the requested
    version is available even in oldstable.
  * Update my e-mail address.
  * Drop build-dependency on xsltproc; it's no longer used.
  * Run tests at build time:
    + Modify debian/rules accordingly.
    + Build-depend on python-all.
    + Apply patch from upstream (alltests-exitcode.diff) to make test suite
      runner exit with code 0 if all test passes.
  * Emacs major mode: properly quote arguments passed to shell
    (closes: #581522, LP: #579252).
  * Install HISTORY.txt as the upstream changelog.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 14 May 2010 19:50:31 +0200

python-docutils (0.6-3) unstable; urgency=low

  * Update patch fixing insecure use of temporary files to be compatible with
    XEmacs 21.
  * Add ‘Depends: ${misc:Depends}’.
  * Point to versioned symlink in /usr/share/common-licenses for the GPL
    license.
  * Fix the docutils.utils.decode_path() function so that it accepts None as
    an argument (closes: #563087).
  * Force upgrade of python-epydoc affected by bug #561793.
  * Add preinst maintainer script to remove python-central leftovers
    (closes: #563696).
  * Upstream author of IE PNG Alpha Fix agreed that every version of his script
    can be distributed under the terms of the LGPL 2.1 or later version.
    Update debian/*.copyright and copies of iepngfix.htc accordingly
    (closes: #563704).
  * Remove superfluous ‘Provides: ${python:Provides}’ and ‘XB-Python-Version’
    from debian/control.
  * Conflict with utterly broken version of zope3, which infringes
    python-docutils namespace.

 -- Jakub Wilk <ubanus@users.sf.net>  Sun, 10 Jan 2010 00:27:45 +0100

python-docutils (0.6-2) unstable; urgency=high

  * Unconditionally recommend python-lxml, as it is used by
    /usr/bin/rst2odt_prepstyles (closes: #560330).
  * Demote dependency on an ElementTree implementation to recommendation, as it
    is only used by /usr/bin/rst2odt; remove python-lxml from alternatives, as
    it is never used by the script (closes: #560328).
  * Fix insecure use of temporary files in the Emacs major mode for
    reStructuredText (closes: #560755, CVE-2009-5042). Thanks to Kumar Appaiah
    for helping to deal with this bug.
  * Register docutils documentation using doc-base.

 -- Jakub Wilk <ubanus@users.sf.net>  Sun, 13 Dec 2009 19:54:12 +0100

python-docutils (0.6-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Drop superfluous dependency of python-dev.

  [ Simon McVittie ]
  * New upstream version
    - --strict option works now like --halt=info (closes: #506315)
    - allow UTF-8 in style sheets (closes: #374957)
    - patches/17_speed_up_rst_el.dpatch: dropped, fixed upstream
  * Stop using dpatch; instead, switch source format to 3.0 (quilt)
  * Stop patching out #!/usr/bin/env python via the patch system; it'll get
    patched out during installation anyway
  * Split 14_distutils_setup.diff into two patches
    - 13_install_roman.diff: install roman even if already installed
      (in a less intrusive way)
    - 14_use_setuptools.diff: use setuptools for egg support
  * Update the other patches for the new version
  * Conflict, provide and replace the standalone man page and ODT writers,
    which have been integrated upstream; add their maintainers to this
    package's Uploaders instead
  * Import Michael Schutte's man page for rst2odt_prepstyles from the
    odtwriter source package (thanks!)
  * Use rst2man to make the other man pages
  * patches/17_revert_buildhtml.diff: revert an upstream change to
    buildhtml.py which broke the --local option
  * Add Jakub Wilk to Uploaders, with thanks for previous uploads

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Dec 2009 21:34:40 +0000

python-docutils (0.5-5) unstable; urgency=low

  [ Jakub Wilk ]
  * Prepare for Python 2.6 transition (closes: #547841).
  * Bump Standards-Version to 3.8.3 (no changes needed).

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Tue, 22 Sep 2009 23:48:45 +0200

python-docutils (0.5-4) unstable; urgency=medium

  [ Jakub Wilk ]
  * Don't require network access during a build (closes: #526357).

  [ Piotr Ożarowski ]
  * Updated Standards-Version to 3.8.2 (no changes)

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Thu, 30 Jul 2009 20:49:23 +0200

python-docutils (0.5-3) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Piotr Ożarowski ]
  * Switch to python-support
    + clean debian/rules a little bit (no need to rename Egg anymore)
    + docutils-writer-manpage and python-odtwriter added to Conflicts
  * Add python-imaging to Recommends
    (see writers/html4css1/__init__.py and parsers/rst/directives/images.py)
  * XS-Dm-Upload-Allowed field removed (all Uploaders are DDs)
  * Updated Standards-Version to 3.8.1 (no changes)

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Sun, 22 Mar 2009 18:06:02 +0100

python-docutils (0.5-2) unstable; urgency=low

  * Upload docutils 0.5 to unstable
  * Update rst.el to upstream Subversion r5596, which apparently fixes
    all its performance problems (17_speed_up_rst_el.dpatch, closes: #474941)

 -- Simon McVittie <smcv@debian.org>  Thu, 24 Jul 2008 10:39:53 +0100

python-docutils (0.5-1) experimental; urgency=low

  * New upstream release (closes: #491344, #474939)
    - rst2newlatex now emits admonition titles (closes: #484226)
    - 01_upstream_04_branch_r4646.dpatch: no longer relevant, the
      new upstream version includes these changes
    - 16_emacs_jit_lock.dpatch: no longer relevant, the new upstream
      version already uses jit-lock if available
  * 12_more_usrbinenv.dpatch: added. Replace #! /usr/bin/env python
    (with the space) with #!/usr/bin/python, too
  * 12_remove_unnecessary_hashbang.dpatch: merged into
    12_more_usrbinenv.dpatch
  * 13_nodes_namespace.dpatch: removed, I have no idea what it was doing there
    in the first place...
  * 16_disable_picins.dpatch: avoid referencing a non-free LaTeX style
    (which, as far as I can tell, served no purpose anyway)
  * All other patches updated and re-diffed
  * Mentioned s5 in README.Debian (closes: #490139)
  * Added Suggests: on the necessary texlive packages to use rst2newlatex
    output, and mentioned them in README.Debian
  * Switched to my Debian email address in Uploaders
  * Removed lintian override for false-positive GPL detection in -roman
  * Added a README.source explaining where the patches come from

 -- Simon McVittie <smcv@debian.org>  Sat, 19 Jul 2008 01:44:00 +0100

python-docutils (0.4-6) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - added Vcs-Browser

  [ Simon McVittie ]
  * Apply patch from Ubuntu to fix build with current python-central
    (closes: #470697)
  * Simplify and re-indent debian/rules for better clarity
  * Stop working around #379709, because it was caused by #380360 which has
    been closed
  * Remove man page during clean
  * Keep lintian happy: relax setuptools dependency from 0.6b3-1 to 0.6b3,
    remove override for build-depends-without-arch-dep python-setuptools (bug
    fixed in lintian), Standards-Version: 3.7.3 (no changes)
  * Set XS-Dm-Upload-Allowed: yes so I can upload in future

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Thu, 20 Mar 2008 20:36:10 +0000

python-docutils (0.4-5) unstable; urgency=low

  [ Bernd Zeimetz ]
  * debian/watch:
    - Adding file
  * debian/control:
    - Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)

  [ Simon McVittie ]
  * debian/rules, debian/rsthelp2man.xsl, debian/control:
    Generate better man pages from the tools' own --help output using rst2xml
    and (new build dependency) xsltproc (Closes: #430947)
  * debian/rst2html.1: Remove, the generated man page is better
  * debian/rules, debian/unpep263.py: Mangle languages/*.py from UTF-8 into
    equivalent ASCII with \uXXXX escapes, so we can install into
    python2.x-minimal (which lacks the encodings machinery) (Closes: #379709)
  * debian/patches/15_emacs_debian_paths.dpatch, debian/patches/00list:
    In rst.el, expect executables to not have .py suffix (Closes: #438667)
  * debian/patches/16_emacs_jit_lock.dpatch, debian/patches/00list:
    Apply patch to rst.el from Justin Mazzola Paluska <jmp@MIT.EDU> to use
    jit-lock instead of lazy-lock for Emacs 22 compatibility (Closes: #418446)
  * debian/patches/00list: Actually apply 10_doc_debian_paths.dpatch, to
    improve documentation
  * debian/control: Set Homepage
  * debian/control: Move python-central from Build-Depends to
    Build-Depends-Indep to keep lintian happy; install a source override
    to stop it complaining about python-setuptools in Build-Depends, because
    we do need that package for the "clean" target
  * debian/patches/99_old-diffs.dpatch: Remove obsolete patches entirely, we
    can always retrieve them from svn if they turn out to be useful

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Fri, 16 Nov 2007 13:40:44 +0000

python-docutils (0.4-4) unstable; urgency=low

  [ Piotr Ozarowski ]
  * Egg support added (closes: #382272)
    - Added python-setuptools to Build-Depends
    - Updated 14_distutils_setup patch (version fixed as well)
  * Added XS-Vcs-Svn field
  * Bumped required python-central version (dh_python call removed)

  [ martin f. krafft ]
  * Thanks to Piotr for his work.

 -- martin f. krafft <madduck@debian.org>  Sat, 10 Feb 2007 15:37:35 +0000

python-docutils (0.4-3) unstable; urgency=low

  * Added build dependency on python-central (closes: #377580).

 -- martin f. krafft <madduck@debian.org>  Mon, 10 Jul 2006 11:45:05 +0200

python-docutils (0.4-2) unstable; urgency=low

  * New maintainers Martin F. Krafft, Simon McVittie and the python-modules
    team.
    - Acknowledge Martin's NMU now he's a co-maintainer (closes: #315285).
  * Switch to dpatch:
    * Update from upstream Subversion repository, docutils-0.4 branch:
      * Unquoted targets beginning with an underscore
        (.. __target: URI) are no longer accepted
      * tools/editors/emacs/rst.el changed license to GPL
      * assorted documentation changes
    * Remove patch bands consisting only of $Date$, $Revision$
  * Migrate to new Python policy, and python-central (closes: #373529).
  * Remove circular dependency during policy migration (closes: #362172).
  * Install tools as e.g. /usr/bin/rst2html only - do not install any
    executables with a .py extension, as pycentral thinks it should
    byte-compile them. Also, Policy section 10.4.
    - Install buildhtml as /usr/bin/rst-buildhtml to avoid namespace pollution.
    - Don't install quicktest.py and the "dev" tools, which appear to be
      intended for docutils developers only.
  * Move some of the documentation from /usr/share/doc/python-docutils
    to /u/s/d/p-d/docs, and compile all the documentation to HTML,
    to avoid broken hyperlinks (closes: #312305).
    - In debian/rules, tell buildhtml.py to give us the full Python
      traceback when it fails, so FTBFSs can be diagnosed.
  * Amend upstream documentation to reflect how this package installs things
    (closes: #293504). debian/patches/10_doc_debian_paths.dpatch
  * Replace all the man pages with a slightly more informative combined man
    page which gets the names right (closes: #325300, #368601).
  * Incorporate rst-mode again, hopefully. Thanks to Sylvain Ferriol for the
    patch. (Closes: #353661)
  * Move debhelper, used in debian/rules clean, from Build-Depends-Indep to
    Build-Depends, per Policy section 7.6.
  * Upgrade to debhelper compat level 5 and Policy 3.7.2.0.
  * Lintian nitpicking: Remove spurious #! line from
    docutils.readers.python.pynodes module.
    debian/patches/12_remove_unnecessary_hashbang.dpatch
  * Stop applying some optparse-related patches which appear to serve no
    purpose. Preserved as debian/patches/99_old-diffs.dpatch in case they're
    useful

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Thu,  6 Jul 2006 10:16:52 +0100

python-docutils (0.4-1) unstable; urgency=low

  * New upstream version
    - including changes in the current maintainance branch
  * Drop python2.1/python2.2 binary packages
  * debian/NEWS.Debian: Removed
  * Drop the compatibility rest2* binary names.
  * Thanks to Matthias Klose <doko@debian.org>
    for help with preparing this release (and prodding me).

 -- Matthias Urlichs <smurf@debian.org>  Fri,  3 Feb 2006 10:22:56 +0100

python-docutils (0.3.9-0.1) unstable; urgency=low

  * Non-maintainer upload (received OK from maintainer).
  * New upstream release (closes: #315285).

 -- martin f. krafft <madduck@debian.org>  Sat, 27 Aug 2005 11:03:06 +0200

python-docutils (0.3.7-2) unstable; urgency=low

  * Fix dependency on Python 2.3 -- still the default. :-/
    Closes:#288873.

 -- Matthias Urlichs <smurf@debian.org>  Thu,  6 Jan 2005 07:50:31 +0100

python-docutils (0.3.7-1) unstable; urgency=low

  * Update to latest Upstream version.
    Thanks for the release work!
  * Fixed tool names.
    - Closes:#284822
  * Don't compress the shipped HTML documentation.
    - Browsers don't display the files if they are compressed,
      links don't work, ...
  * Add copyright file for the 2.4 package (doko's fault ;-)
    - fix typos in the other docutils copyright files
  * Add extras subdir to PYTHONPATH, in debian/rules
  * Simplify build-dependencies.

 -- Matthias Urlichs <smurf@debian.org>  Tue,  4 Jan 2005 07:58:58 +0100

python-docutils (0.3.5.20041217-0ubuntu1) hoary; urgency=low

  * Snapshot taken from CVS.
  * Support python2.4 as default python version.

 -- Matthias Klose <m@klose.in-berlin.de>  Fri, 17 Dec 2004 11:05:40 +0100

python-docutils (0.3.5-5) unstable; urgency=medium

  * Add support for Python 2.4.

 -- Matthias Urlichs <smurf@debian.org>  Sun, 12 Dec 2004 20:11:24 +0100

python-docutils (0.3.5-4) unstable; urgency=medium

  * Also use the official tool names.
    - Patch by Jeff Breidenbach <jbreiden@parc.com>.
    - Closes:#284822

 -- Matthias Urlichs <smurf@debian.org>  Thu,  9 Dec 2004 11:35:23 +0100

python-docutils (0.3.5-3) unstable; urgency=high

  * Allow setting the namespace
    necessary for building cerebrum's documentation
    fix from Andreas Schuldei <andreas@schuldei.org>

 -- Matthias Urlichs <smurf@debian.org>  Tue, 30 Nov 2004 13:32:32 +0100

python-docutils (0.3.5-2) unstable; urgency=medium

  * Fix bad symlinks. Closes: #280838
  * Change #!env python => #!python. Closes: #281175

 -- Matthias Urlichs <smurf@debian.org>  Tue, 16 Nov 2004 16:31:27 +0100

python-docutils (0.3.5-1) unstable; urgency=low

  * New Upstream release.
    - Many additions and some bug fixes.
    - The documentation was rearranged.

 -- Matthias Urlichs <smurf@debian.org>  Fri,  5 Nov 2004 23:20:00 +0100

python-docutils (0.3.3-1) unstable; urgency=low

  * New Upstream release.
    - Closes: #249246
  * De-right-aligned the Closes: entries in the changelog.

 -- Matthias Urlichs <smurf@debian.org>  Tue, 18 May 2004 08:36:50 +0200

python-docutils (0.3+cvs20040328-1) unstable; urgency=low

  * New Upstream snapshot:
    - The parsed document tree gained some arrtibutes to facilitate writing
	  external translators. See HISTORY.txt for details.
    - various not-so-important changes

 -- Matthias Urlichs <smurf@debian.org>  Sun, 28 Mar 2004 20:47:14 +0200

python-docutils (0.3+cvs20040209-1) unstable; urgency=low

  * Updated Maintainer email address.
  * New Upstream snapshot:
    - Added FilterMessages transform
    - Updated language mappings: eo es it.
      (That's Esperanto, Spanish, and Italian.)
  * removed cruft (patch applied twice) from debian/rules.
  * Install the documentation.
    - Closes: #228167
  * forgot to close: #226607 in September. :-/

 -- Matthias Urlichs <smurf@debian.org>  Mon,  9 Feb 2004 16:32:33 +0100

python-docutils (0.3+cvs20040114-1) unstable; urgency=low

  * New Upstream snapshot.

 -- Matthias Urlichs <smurf@debian.org>  Thu, 15 Jan 2004 15:03:26 +0100

python-docutils (0.3+cvs20031107-2) unstable; urgency=low

  * Install Emacs files where Emacs can find them
    - autoload 'rst-mode'
    - Closes: #223315

 -- Matthias Urlichs <smurf@debian.org>  Mon,  8 Dec 2003 14:37:45 +0100

python-docutils (0.3+cvs20031107-1) unstable; urgency=low

  * New upstream snapshot.
    - Some LaTeX fixes.
    - Fix: having too wide tables in sidebars.
    - Propogate align attribute of a non-inline image
      to the surrounding <p> tag

 -- Matthias Urlichs <smurf@debian.org>  Thu,  2 Oct 2003 15:15:41 +0200

python-docutils (0.3+cvs20030928-1) unstable; urgency=low

  * New upstream snapshot.
    - Path(s) to configuration file(s) can be specified
      with the DOCUTILSCONFIG environment variable.
    - The LaTeX stylesheet now defaults to "no stylesheet".

 -- Matthias Urlichs <smurf@debian.org>  Thu,  2 Oct 2003 15:15:41 +0200

python-docutils (0.3+cvs20030901-2) unstable; urgency=low

  * Fix a bad symlink.
    - Finally closes: #204352

 -- Matthias Urlichs <smurf@debian.org>  Sat, 13 Sep 2003 00:45:20 +0200

python-docutils (0.3+cvs20030901-1) unstable; urgency=low

  * Acknowledge NMU.
  * New upstream snapshot.
    - The configuration file format has changed.
  * New maintainer's email address. ;-)
  * Explicitly depend on Python and debhelper >= 4.1.67.
    4.1.60 might be possible, but the work to find out exactly
    is better spent elsewhere.

 -- Matthias Urlichs <smurf@debian.org>  Thu, 11 Sep 2003 11:32:56 +0200

python-docutils (0.3+cvs20030803-1.1) unstable; urgency=low

  * NMU
  * Use python2.3 as the default python version.
    - Closes: #205739
  * Rename python-diffutils to python2.1-diffutils, rename python-textwrap to
    python2.1-textwrap and python2.2-textwrap.
  * Change section to python.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Aug 2003 08:31:10 +0200

python-docutils (0.3+cvs20030803-1) unstable; urgency=low

  * The "SourceForge needed more CVS servers" release.  :-/
  * Update to current CVS snapshot (finally).
  * Package python-textwrap, required for python << 2.3
    (included upstream).
  * Cleaned up the setup*.py scripts.
  * Removed "extras" from setup.py;
    the extra modules have their own setup scripts.
  * Added a Lintian override for python-roman.copyright,
    which mentions the GPL but isn't.
  * Completed the transition to debhelper v4,
    some files were stuck in debian/tmp.
    - Closes: #204352
  * Explicitly use Python 2.3 for installation.
    - Closes: #198302
  * Updated maintainer email address.
  * Updated Standards-Version to 3.6.0 (no changes).

 -- Matthias Urlichs <smurf@smurf.noris.de>  Mon,  4 Aug 2003 01:44:12 +0200

python-docutils (0.2.8+cvs20030324-6) unstable; urgency=low

  * difflib.py, roman.py:
    Include a copy of the Python license

 -- Matthias Urlichs <smurf@noris.de>  Fri, 02 May 2003 09:01:31 +0200

python-docutils (0.2.8+cvs20030324-5) unstable; urgency=low

  * Fixed requirements:
    Require optik >= 1.4
    Require xmlbase
    Build-Require python-dev

 -- Matthias Urlichs <smurf@noris.de>  Mon, 07 Apr 2003 08:36:46 +0200

python-docutils (0.2.8+cvs20030324-4) unstable; urgency=low

  * Ready for upload.
    - Closes: #186658
  * Added /usr/bin symlinks where appropriate.

 -- Matthias Urlichs <smurf@noris.de>  Sun, 06 Apr 2003 13:03:01 +0200

python-docutils (0.2.8+cvs20030324-3) unstable; urgency=low

  * debian/rules:
    Set path to python
    use dh_movefiles
    skip SCCS directories when installing documentation

 -- Matthias Urlichs <smurf@noris.de>  Sun, 30 Mar 2003 17:56:53 +0200

python-docutils (0.2.8+cvs20030324-2) unstable; urgency=low

  * Use a simple text in "copyright";
    install the original notice in "COPYING.orig.txt"
  * debian/control:
    depend on debhelper 4
    update descriptions

 -- Matthias Urlichs <smurf@noris.de>  Sun, 30 Mar 2003 17:51:19 +0200

python-docutils (0.2.8+cvs20030324-1) unstable; urgency=low

  * Cleanup
  * Split into three binary packages
  * Prefer "optparse" to "optik"
  * Deleted example files from debian/
  * Changed maintainer

 -- Matthias Urlichs <smurf@noris.de>  Sat, 29 Mar 2003 13:07:49 +0200

python-docutils (0.2cvs021013-1) unstable; urgency=low

  * Initial Release.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Oct 2002 15:05:38 +0200
